FreeBSD : irssi -- multiple vulnerabilities (3b7967f1-49e8-11df-83fb-0015587e2cc1)

Medium Nessus Plugin ID 45570

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

Two vulnerabilities have found in irssi. The first issue could allow man-in-the-middle attacks due to a missing comparison of SSL server hostnames and the certificate domain names (e.g. CN).

A second vulnerability, related to the nick matching code, could be triggered by remote attackers in order to crash an irssi client when leaving a channel.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?5929659f

http://www.nessus.org/u?b25f0aec

http://www.nessus.org/u?b62a51b5

Plugin Details

Severity: Medium

ID: 45570

File Name: freebsd_pkg_3b7967f149e811df83fb0015587e2cc1.nasl

Version: 1.8

Type: local

Published: 2010/04/20

Updated: 2018/11/21

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:irssi, p-cpe:/a:freebsd:freebsd:irssi-devel, p-cpe:/a:freebsd:freebsd:zh-irssi, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2010/04/19

Vulnerability Publication Date: 2010/04/16

Reference Information

CVE: CVE-2010-1155, CVE-2010-1156